SDL_SetPixelFormatPalette(3)

NAME
SDL_SetPixelFormatPalette - Set the palette for a pixel format structure.

HEADER FILE
Defined in SDL3/SDL_pixels.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetPixelFormatPalette(SDL_PixelFormat * format,
                              SDL_Palette *palette);

FUNCTION PARAMETERS

format
    the SDL_PixelFormat
     structure that will use the palette

palette
    the SDL_Palette
     structure that will be used

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.